[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#634874: Please add error for udebs that contain non gziped tarballs

Package: lintian
Version: 2.5.1
Severity: important


udpkg (the dpkg equivalent within d-i) does only support gziped tarballs. So it does not support data.tar.bz2 and similar.

It would be good if there could be an autoreject for these to avoid broken daily/weekly images and uninstallable udebs.


Tag: udeb-contains-non-gzip-tarballs
Severity: serious
Info: This udeb contains non-gzip control or data tarballs.
udpkg, debian-installer's dpkg equivalent, does not support non-gzip tarballs which means udebs that contain them won't be installable. This can also break the daily or weekly d-i images.



Reply to: